2013-11-27 16:05:53 +0000 <cinimod`> I am trying to install diagrams-builder
2013-11-27 16:06:01 +0000 <cinimod`> src/Diagrams/Builder/Modules.hs:62:11:
2013-11-27 16:06:01 +0000 <cinimod`> `baseLanguage' is not a (visible) constructor field name
2013-11-27 16:06:13 +0000 <cinimod`> and
2013-11-27 16:06:15 +0000 <cinimod`> src/Diagrams/Builder/Modules.hs:62:26:
2013-11-27 16:06:15 +0000 <cinimod`> Not in scope: data constructor `Haskell2010'
2013-11-27 16:06:15 +0000 <cinimod`> Failed to install diagrams-builder-0.4.2
2013-11-27 16:09:35 +0000 <bergey> cinimod: I'm taking a look now.
2013-11-27 16:11:38 +0000 <bergey> cinimod: What version of haskell-src-exts are you using?
2013-11-27 16:11:46 +0000 <bergey> It looks like our lower bound is too permissive.
2013-11-27 16:14:01 +0000 <cinimod`> bergey: haskell-src-exts-1.13.5
2013-11-27 16:15:02 +0000 <bergey> That would do it. We actually need 1.14. Can you try adding that as a constraint?
2013-11-27 16:15:08 +0000 <bergey> I'll fix the cabal file.
2013-11-27 16:15:11 +0000 <cinimod`> But in my sandbox I have 1.14.0
2013-11-27 16:15:34 +0000 <cinimod`> I'll try that
2013-11-27 16:20:42 +0000diagramsbot- 01[13diagrams-builder01] 15bergey pushed 1 new commit to 06master: 02http://git.io/htb7Fg
2013-11-27 16:20:42 +0000diagramsbot- 13diagrams-builder/06master 140fc49cf 15Daniel Bergey: require haskell-src-exts >= 1.14 (since 77d89606)
2013-11-27 16:22:26 +0000 <cinimod`> Ok it installed but I still get a segfault
2013-11-27 16:22:35 +0000 <cinimod`> ~/Dropbox/Private/Ising $ ~/Library/Haskell/ghc-7.6.2/lib/BlogLiterately-diagrams-0.1.2.4/bin/BlogLiteratelyD Cutdown.lhs
2013-11-27 16:22:35 +0000 <cinimod`> Segmentation fault: 11
2013-11-27 16:23:00 +0000 <bergey> Someone should write a script that parses .cabal files, and does sandboxed builds with every possible combination of dependencies. Maybe with the nix-hash style Cabal that hasn't been written, to save time. :)
2013-11-27 16:23:29 +0000 <bergey> Huh. This is where the fact that I don't actually use diagrams-builder may be a problem.
2013-11-27 16:23:53 +0000 <cinimod`> Someone did write something like that at OdHac but I don't know if it ever got incorporated
2013-11-27 16:24:03 +0000 <bergey> And I have to go. I'm happy to take a look this evening if you haven't sorted it by then.
2013-11-27 16:24:14 +0000 <cinimod`> I am not even sure where to start
2013-11-27 16:24:50 +0000 <cinimod`> I have never looked at the code base for BlogLiteratelyD
2013-11-27 16:24:56 +0000 <cinimod`> I am merely a humble user
2013-11-27 16:25:25 +0000 <cinimod`> I suspect you won't even be able to reproduce the problem
2013-11-27 16:28:33 +0000 <cinimod`> With an older version of BlogLiterately I get
2013-11-27 16:28:36 +0000 <cinimod`> ~/Dropbox/Private/Ising $ ~/Library/Haskell/ghc-7.6.2/lib/BlogLiterately-diagrams-0.1.2/bin/BlogLiteratelyD Cutdown.lhs
2013-11-27 16:28:36 +0000 <cinimod`> BlogLiteratelyD: internal error: stg_ap_pp_ret
2013-11-27 16:28:36 +0000 <cinimod`> (GHC version 7.6.2 for x86_64_apple_darwin)
2013-11-27 16:28:39 +0000 <cinimod`> Please report this as a GHC bug: http://www.haskell.org/ghc/reportabug
2013-11-27 16:28:42 +0000 <cinimod`> Abort trap: 6
2013-11-27 16:35:35 +0000 <travis-ci> [travis-ci] 13diagrams-builder/06master 140fc49cf http://travis-ci.org/diagrams/diagrams-builder/builds/14609171 The build has errored.